Bug 226187 - comms/xastir: Update to 2.1.0
Summary: comms/xastir: Update to 2.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Larry Rosenman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-25 04:36 UTC by carl
Modified: 2018-03-04 22:05 UTC (History)
3 users (show)

See Also:


Attachments
svn generated diff to update Xastir to v2.1.0. (7.38 KB, patch)
2018-02-25 04:36 UTC, carl
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description carl 2018-02-25 04:36:14 UTC
Created attachment 190979 [details]
svn generated diff to update Xastir to v2.1.0.

Update the Xastir APRS client to the latest released version.  Includes a change to Github where the official source is now located.

Also fixes the old port/pkg's issue with linking with GraphicsMagick that stops the port displaying raster graphics, like OpenStreetMaps.
Comment 1 Yuri Victorovich freebsd_committer 2018-02-27 21:55:50 UTC
Why did you add USE_GCC?
Comment 2 Mateusz Piotrowski freebsd_committer 2018-02-27 22:19:23 UTC
The LICENSE file [1] in the repository [2] suggests that the repository contains code, which is not only GPLv2. Should we reflect it in the Makefile?

[1]: https://github.com/Xastir/Xastir/blob/master/LICENSE
[2]: https://github.com/Xastir/Xastir/
Comment 3 carl 2018-02-28 09:50:19 UTC
(In reply to Yuri Victorovich from comment #1)

Hi Yuri,
GraphicsMagick uses GCC and is a dependancy. While Xastir will compile and run using clang, it won't link in GraphicsMagick which is needed to display Raster maps.

Is there a better way to do this than USE_GCC?

Carl.
Comment 4 Yuri Victorovich freebsd_committer 2018-02-28 09:53:17 UTC
(In reply to carl from comment #3)

Hi Carl,

Thank you for your explanation.
There is no better way.
The only thing is that USE_GCC needs a comment explaining why it is there, because gcc isn't a default compiler. I will do this.

Yuri
Comment 5 carl 2018-02-28 10:50:06 UTC
(In reply to Mateusz Piotrowski from comment #2)

Hi Mateusz,
Having looked into it further, as far as I can tell the GPLv2 is the most restrictive licence in the source.  All the others are more permissive and basically boil down to variations on CC-BY.  All the third party dependencies are taken care of in their own packaging.

I should probably have pointed to the ${WRKSRC}/LICENSE file instead of ${WRKSRC}/COPYING as it is more complete.

Happy to take advice on this.


Carl.
Comment 6 Mateusz Piotrowski freebsd_committer 2018-02-28 11:41:17 UTC
(In reply to carl from comment #5)

Hi Carl! :)

Maybe a solution would be to define somewhat as a dual license (see chapter 5.7 in the porter's handbook [1] example 5.26.)

```
LICENSE=        XASTIR3RDPARTIES GPLv2
LICENSE_COMB=   multi
LICENSE_NAME_XASTIR3RDPARTIES=    Exceptions to the GPLv2 Xastir license
LICENSE_FILE_XASTIR3RDPARTIES=    ${WRKSRC}/LICENSE
LICENSE_PERMS_XASTIR3RDPARTIES=   dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
LICENSE_FILE_GPLv2=               ${WRKSRC}/COPYING
```

I am not sure, however, if this is how it is usually handled.

[1]: https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/book.html#licenses
Comment 7 carl 2018-03-02 10:12:04 UTC
(In reply to Mateusz Piotrowski from comment #6)
Hi Mateusz,
I've just done a quick scan of other ports, and it looks like what you have suggested has been done in quite a number of other ports, so I'm happy with that.

Would you like me to make the changes you have suggested and attach a new diff?  

Carl.
Comment 8 Mateusz Piotrowski freebsd_committer 2018-03-04 18:45:13 UTC
(In reply to carl from comment #7)

That would be great when it comes to me. I cannot commit to the Port, though, so  we have to wait for a committer to chime in.
Comment 9 commit-hook freebsd_committer 2018-03-04 21:58:08 UTC
A commit references this bug:

Author: ler
Date: Sun Mar  4 21:57:54 UTC 2018
New revision: 463601
URL: https://svnweb.freebsd.org/changeset/ports/463601

Log:
  comms/xastir: upgrade to 2.1.0

  PR:		226187
  Submitted by:	carl@stagecraft.cx (Maintainer)

Changes:
  head/comms/xastir/Makefile
  head/comms/xastir/distinfo
  head/comms/xastir/files/patch-Makefile.in
  head/comms/xastir/pkg-plist
Comment 10 Larry Rosenman freebsd_committer 2018-03-04 21:59:00 UTC
Committed, with modifications to appease stage-qa.